%define rname	fireget
%define cid 	\{e2f7d0bf-fcd2-4038-b30d-d7b51f7ffb25\}
%define ciddir  %firefox_noarch_extensionsdir/%cid

Summary:	Plugin fireget(gwget) for Firefox
Name:		%firefox_name-%rname
Version:	0.6
Release:	alt4
Source0:	%rname-%version.xpi
Source1:	fireget-0.6-chrome.manifest
License:	GPL
Group:		Networking/WWW	
URL:		http://gnome.org/projects/gwget

Packager:	Alexey Shabalin <shaba@altlinux.ru>

BuildArch:      noarch
BuildRequires(pre):     rpm-build-firefox
BuildRequires:  unzip
Requires: %firefox_name >= 2.0
Requires: gwget

%description 	
This extention adds support for Gwget

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir
%__cp -a -- %SOURCE1 %buildroot/%ciddir/chrome.manifest

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Fri Feb 02 2007 Alexey Shabalin <shaba@altlinux.ru> 0.6-alt4
- set noarch
- remove obsoleted macros

* Thu Aug 24 2006 Alexey Shabalin <shaba@altlinux.ru> 0.6-alt3
- rebuild with firefox 1.5.0.6

* Thu Jun 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.6-alt2.1.1
- NMU: rebuild with firefox 1.5.0.4

* Mon May 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.6-alt2.1
- NMU: rebuild with firefox 1.5.0.3

* Mon Feb 20 2006 Alexey Gladkov <legion@altlinux.ru> 0.6-alt2
- NMU: rebuild with firefox 1.5.0.1

* Tue Jan 10 2006 Alexey Shabalin <shaba@altlinux.ru> 0.6-alt1
- 0.6
- rebuild with firefox-1.5
- BuildRequires fix;

* Tue Jun 28 2005 Alexey Shabalin <shaba@altlinux.ru> 0.5-alt1
- first build for ALT Linux.
